<?php
// $Id: views_plugin_cache_rules.inc,v 1.4.2.3 2010/09/30 10:46:24 fabsor Exp $

/**
 * @file
 * This file contains a cache that just implements the views cache plugin.
 */

/**
 * Plugin that caches views infinitely. This is not really
 * that useful unless you want rules to invalidate your cache.
 */
class views_plugin_cache_rules extends views_plugin_cache {
  function summary_title() {
    return t('Rules');
  }

  /**
   * Since rules will be triggering our cache invalidation,
   * the cache will never expire.
   * @param $type
   * @return always FALSE.
   */
  function cache_expire($type) {
    return FALSE;
  }
}
